> For the complete documentation index, see [llms.txt](https://docs.fill-easy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fill-easy.com/billing.md).

# Billing

Currently supports a single function: View billed items for a time range.

## GET /core/billing

> Get Billed Items

```json
{"openapi":"3.1.0","info":{"title":"Fill Easy Services","version":"1.0.0"},"tags":[{"name":"Billing","description":"Currently supports a single function: View billed items for a time range."}],"servers":[{"url":"sandbox.staging-api.fill-easy.com"}],"security":[{"ClientID":[],"ClientSecret":[]}],"components":{"securitySchemes":{"ClientID":{"type":"apiKey","description":"Client ID in x-client-id header.","name":"x-client-id","in":"header"}},"responses":{"BadRequest":{"description":"Bad Request - Invalid input parameters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"Unauthorized":{"description":"Unauthorized - Token is missing, invalid, or expired","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"InternalServerError":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}},"schemas":{"Error":{"type":"object","required":["error"],"properties":{"error":{"type":"string","description":"Error message"}}}}},"paths":{"/core/billing":{"get":{"tags":["Billing"],"summary":"Get Billed Items","operationId":"billingGetItems","parameters":[{"name":"start","in":"query","required":true,"schema":{"type":"number","description":"Start timestamp (epoch seconds)"}},{"name":"end","in":"query","required":true,"schema":{"type":"number","description":"End timestamp (epoch seconds)"}}],"responses":{"200":{"description":"Billed items in the specified time range","content":{"application/json":{"schema":{"type":"object","required":["items"],"properties":{"items":{"type":"array","items":{"type":"object","required":["businessID","service","timestamp"],"properties":{"businessID":{"type":"string"},"service":{"type":"string"},"timestamp":{"type":"number","description":"Successful poll timestamp (epoch seconds)"},"createTime":{"type":"number","description":"Request timestamp (epoch seconds)"},"requestDetails":{"type":"string"},"express":{"type":"boolean"},"externalRefId":{"type":"string"},"countryCode":{"type":"string"}}}}}}}}},"400":{"$ref":"#/components/responses/BadRequest"},"401":{"$ref":"#/components/responses/Unauthorized"},"500":{"$ref":"#/components/responses/InternalServerError"}}}}}}
```
